import 'dart:convert';

import 'package:equatable/equatable.dart';

// ignore_for_file: non_constant_identifier_names
class RefreshTokenModel extends Equatable {
  final String scope;
  final int expires_in;
  final String username;
  final String token_type;
  final String access_token;
  final String refresh_token;

  const RefreshTokenModel({
    required this.scope,
    required this.expires_in,
    required this.username,
    required this.token_type,
    required this.access_token,
    required this.refresh_token,
  });

  Map<String, dynamic> toMap() {
    return {
      'scope': scope,
      'expires_in': expires_in,
      'username': username,
      'token_type': token_type,
      'access_token': access_token,
      'refresh_token': refresh_token,
    };
  }

  factory RefreshTokenModel.fromMap(Map<String, dynamic> map) {
    return RefreshTokenModel(
      scope: map['scope'],
      expires_in: map['expires_in'],
      username: map['username'],
      token_type: map['token_type'],
      access_token: map['access_token'],
      refresh_token: map['refresh_token'],
    );
  }

  String toJson() => json.encode(toMap());

  factory RefreshTokenModel.fromJson(String source) =>
      RefreshTokenModel.fromMap(json.decode(source));

  @override
  bool get stringify => true;

  @override
  List<Object> get props {
    return [
      scope,
      expires_in,
      username,
      token_type,
      access_token,
      refresh_token,
    ];
  }
}
