import 'dart:convert';

import 'package:equatable/equatable.dart';

class Integration extends Equatable {
  final String? integrationName;

  const Integration({
    this.integrationName,
  });

  Integration copyWith({
    String? integrationName,
  }) {
    return Integration(
      integrationName: integrationName ?? this.integrationName,
    );
  }

  Map<String, dynamic> toMap() {
    return {
      'integrationName': integrationName,
    };
  }

  factory Integration.fromMap(Map<String, dynamic> map) {
    return Integration(
      integrationName: map['integrationName'],
    );
  }

  String toJson() => json.encode(toMap());

  factory Integration.fromJson(String source) =>
      Integration.fromMap(json.decode(source));

  @override
  bool get stringify => true;

  @override
  List<Object?> get props => [integrationName];
}
