import 'dart:convert';

import 'package:equatable/equatable.dart';

/// User login model
class UserLogin extends Equatable {
  /// {@macro user}
  const UserLogin({
    required this.username,
    required this.password,
    this.scope,
  });

  /// The username for login.
  final String username;

  /// The password for login.
  final String password;

  /// The scope of the login. Can be null.
  final String? scope;

  @override
  List<Object?> get props => [username, password, scope];

  Map<String, dynamic> toMap() {
    return {
      'username': username,
      'password': password,
      'scope': scope,
    };
  }

  factory UserLogin.fromMap(Map<String, dynamic> map) {
    return UserLogin(
      username: map['username'],
      password: map['password'],
      scope: map['scope'],
    );
  }

  String toJson() => json.encode(toMap());

  factory UserLogin.fromJson(String source) =>
      UserLogin.fromMap(json.decode(source));
}
